Compliance

Log security event

Log a security event for compliance and audit purposes

AuthBearer (JWT)
GroupCompliance
Rate limitSee Rate Limits
POST/api/compliance/security-event

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, ComplianceApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const compliance = new ComplianceApi(configuration);
import { Configuration, ComplianceApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const compliance = new ComplianceApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await compliance.logSecurityEvent(
  {
    eventType: "hard drive back up",
    severity: "program hack",
    details: "bandwidth transmit"
  }
);
const { data: result } = await compliance.logSecurityEvent(
  {
    eventType: "hard drive back up",
    severity: "program hack",
    details: "bandwidth transmit"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Request Body

json
{
  "eventType": "unauthorized_access_attempt",
  "severity": "high",
  "details": {
    "userId": "usr_3HjF6SCqdOmxz6",
    "resource": "alarm program",
    "ipAddress": "2667 Beryl Passage",
    "userAgent": "monitor compress",
    "action": "feed index",
    "reason": "driver navigate"
  }
}
{
  "eventType": "unauthorized_access_attempt",
  "severity": "high",
  "details": {
    "userId": "usr_3HjF6SCqdOmxz6",
    "resource": "alarm program",
    "ipAddress": "2667 Beryl Passage",
    "userAgent": "monitor compress",
    "action": "feed index",
    "reason": "driver navigate"
  }
}

Responses

200Security event logged
json
{
  "success": true,
  "message": "Security event recorded",
  "eventId": "evt_abc123"
}
{
  "success": true,
  "message": "Security event recorded",
  "eventId": "evt_abc123"
}
400
401

Errors

CodeMeaning
400
401
Edit this page on GitHub